# Uses of Interface
org.bukkit.entity.AreaEffectCloud

Packages that use AreaEffectCloud
Package
Description
com.destroystokyo.paper.event.entity
org.bukkit.event.entity
`Events` relating to `entities`, excluding some directly referencing some more specific entity types.

## Uses of AreaEffectCloud in com.destroystokyo.paper.event.entity

Methods in com.destroystokyo.paper.event.entity that return AreaEffectCloud
Modifier and Type
Method
Description
`@NotNull AreaEffectCloud`
EnderDragonFireballHitEvent.`getAreaEffectCloud()`
`@NotNull AreaEffectCloud`
EnderDragonFlameEvent.`getAreaEffectCloud()`
Constructors in com.destroystokyo.paper.event.entity with parameters of type AreaEffectCloud
Modifier
Constructor
Description
``
`EnderDragonFireballHitEvent(@NotNull DragonFireball fireball, @Nullable Collection<LivingEntity> targets, @NotNull AreaEffectCloud areaEffectCloud)`
``
`EnderDragonFlameEvent(@NotNull EnderDragon enderDragon, @NotNull AreaEffectCloud areaEffectCloud)`

## Uses of AreaEffectCloud in org.bukkit.event.entity

Methods in org.bukkit.event.entity that return AreaEffectCloud
Modifier and Type
Method
Description
`@NotNull AreaEffectCloud`
LingeringPotionSplashEvent.`getAreaEffectCloud()`
Gets the AreaEffectCloud spawned
`@NotNull AreaEffectCloud`
AreaEffectCloudApplyEvent.`getEntity()`
Constructors in org.bukkit.event.entity with parameters of type AreaEffectCloud
Modifier
Constructor
Description
``
`AreaEffectCloudApplyEvent(@NotNull AreaEffectCloud entity, @NotNull List<LivingEntity> affectedEntities)`
``
`LingeringPotionSplashEvent(@NotNull ThrownPotion potion, @NotNull AreaEffectCloud entity)`